#
# Conditional build:
%bcond_without	libsmi		# Build without SMI support
%bcond_with	drop_priv	# Breaks "-w" option
#
Summary:	dumps packets that are sent or received over a network interface
Summary(de.UTF-8):	deponiert Pakete, die über eine Netzwerkschnittstelle gesandt oder empfangen werden
Summary(es.UTF-8):	Enseña los paquetes que son enviados o recibidos a través de una interface de red
Summary(fr.UTF-8):	vide les paquets émis ou reçus sur une interface réseau
Summary(pl.UTF-8):	Pokazuje pakiety przechodzące przez interfejsy sieciowe
Summary(pt_BR.UTF-8):	Mostra os pacotes que são enviados ou recebidos através de uma interface de rede
Summary(ru.UTF-8):	Инструмент для мониторинга сетевого траффика
Summary(tr.UTF-8):	Bir ağ arabirimi üzerinden gelen ya da giden paketleri listeler
Summary(uk.UTF-8):	Інструмент для моніторингу мережевого трафіку
Name:		tcpdump
Version:	4.6.1
Release:	1
Epoch:		1
License:	BSD
Group:		Networking/Utilities
Source0:	http://www.tcpdump.org/release/%{name}-%{version}.tar.gz
# Source0-md5:	dab267ec30216a069747d10314079ec7
Patch0:		libpcap-m4.patch
URL:		http://www.tcpdump.org/
BuildRequires:	autoconf >= 2.61
BuildRequires:	libcap-ng-devel
BuildRequires:	libpcap-devel >= 2:1.6.1
%{?with_libsmi:BuildRequires:	libsmi-devel}
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	rpmbuild(macros) >= 1.202
Requires:	libpcap >= 2:1.6.1
Provides:	user(tcpdump)
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/useradd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tcpdump prints out the headers of packets on a network interface. It
is very useful for debugging network problems and security operations.

%description -l de.UTF-8
Tcpdump druckt die Headers von Paketen auf einer Netzschnittstelle. Es
ist überaus nützlich zum Debuggen von Netzwerkproblemen und von
Sicherheitsoperationen.

%description -l es.UTF-8
Tcpdump imprime los encabezamientos de los paquetes en una interface
de red. Es muy práctico para solucionar problemas en la red y para
operaciones de seguridad.

%description -l fr.UTF-8
tcpdump affiche les en-têtes des paquets d'une interface réseau. Il
est très utile pour détecter les problèmes de réseau et de sécurité.

%description -l pl.UTF-8
Tcpdump służy do analizy pakietów przechodzących przez interfejsy
sieciowe, jest użytecznym narzędziem do śledzenia ruchu w sieci.

%description -l pt_BR.UTF-8
Tcpdump imprime os cabeçalhos dos pacotes em uma interface de rede.
Ele é muito prático para resolver problemas na rede e para operações
de segurança.

%description -l ru.UTF-8
Tcpdump выводит хедеры пакетов, проходящих через сетевой интерфейс.
Незаменим для диагностики сетевых проблем и нарушений безопасности.

%description -l tr.UTF-8
Tcpdump, bir ağ arabirimi üzerinden geçen paketlerin başlıklarını
döker. Güvenlik işlemleri ve ağ problemlerinin irdelenmesi konularında
son derece yararlıdır.

%description -l uk.UTF-8
Tcpdump виводить хедери пакетів, що проходять через мереживний
інтерфейс. Незамінний для діагностики мереживних проблем та порушень
безпеки.

%prep
%setup -q
%patch0 -p1

%build
%{__autoconf}
%configure \
	CFLAGS="-I. %{rpmcflags} %{rpmcppflags}" \
	%{?with_smi:--with-smi} \
%if %{with drop_priv}
	--with-user=tcpdump \
	--with-chroot=/usr/share/empty \
%endif
	--enable-ipv6 \
	--with-crypto
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_sbindir}/tcpdump.%{version}

%pre
%useradd -u 273 -r -d /usr/share/empty -s /bin/false -c "tcpdump User" -g nobody tcpdump

%postun
if [ "$1" = "0" ]; then
	%userremove tcpdump
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES CREDITS LICENSE README.md
%attr(755,root,root) %{_sbindir}/tcpdump
%{_mandir}/man1/tcpdump.1*
%changelog
* Mon Jul 21 2014 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/tcpdump.git;a=log;h=master

* Sun Jul 20 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 0c68247
- up to 1.6.1

* Fri Jan 24 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 6a4d3a9
- rel 2; force libpcap 1.5.2 which fixes bugs like: 'can't get TPACKET_V3 header len on packet socket'

* Thu Nov 28 2013 Jakub Bogusz <qboosh@pld-linux.org> 5a57556
- updated libpcap version

* Thu Nov 28 2013 Jakub Bogusz <qboosh@pld-linux.org> b5048cc
- updated to 4.5.1

* Thu Jun 06 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 7975d5b
- force libpcap 1.4.0, enable capability dropping via libcap-ng

* Thu Jun 06 2013 Łukasz Kieś <kiesiu@pld-linux.org> 7c03c6d
- updated to 4.4.0

* Mon Jun 25 2012 Jakub Bogusz <qboosh@pld-linux.org> 2a98f18
- updated to 4.3.0

* Tue Jan 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 6a895ec
- up to 4.2.1

* Mon Dec 19 2011 Elan Ruusamäe <glen@pld-linux.org> 394a29d
- hide -w option for rpmbuild

* Fri Dec 16 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> e362c86
- release 6

* Fri Dec 16 2011 Adam Osuchowski <adwol@pld-linux.org> 386a3ea
- typo, unnecessary backslash

* Fri Dec 16 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 51a13a2
- rel 5; rpm macro workaround

* Fri Dec 16 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> bb67e48
- rel 4; revert dropping privileges, breaks -w option

* Sun Dec 04 2011 Elan Ruusamäe <glen@pld-linux.org> d4e430b
- useradd deps

* Sat Dec 03 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0bf3a49
- rel 2; switch uid to own tcpdump user

* Mon Nov 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 00077d7
- up to 4.2.0

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 3718caa
- release 3

* Sun Sep 05 2010 Tomasz Pala <gotar@pld-linux.org> 43eea33
- HIP patch from http://hipl.hiit.fi/hipl/hipl.tar.gz

* Sat May 22 2010 Tomasz Pala <gotar@pld-linux.org> de745a3
- fixed Group

* Sun Apr 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 136afe1
- release 2

